@echo off
rem *******************************************************************************
rem  Materiale su licenza - Propriet di IBM
rem  (c) Copyright IBM Corporation 2012. Tutti i diritti riservati.
rem
rem  Nota relativa a limitazioni dei diritti per gli utenti del Governo degli Stati Uniti:
rem  L'uso, la duplicazione o la divulgazione sono limitati dal GSA ADP Schedule
rem  Contract con IBM Corp.
rem  *******************************************************************************

rem ################################################################################
rem
rem File per i messaggi visualizzati dagli script di aggiornamento automatizzati.
rem
rem ################################################################################

setlocal
set TAB=     
if "%1" == "" goto :LBLEND
if "%1" == "HELP" goto :LBLHELP
goto LBLMSG_%1


REM *********************************
REM * Messaggi di verifica iniziale *
REM *********************************

:LBLMSG_NO_ADMIN_PRIVILEGES
echo.
echo L'aggiornamento deve essere eseguito con diritti di amministratore.
echo.
goto LBLEND

:LBLMSG_INVALID_LAUNCH
set TAB=    
echo.
echo Non eseguire direttamente lo script app_upgrade.  Per aggiornare JTS o l'applicazione, eseguire il seguente comando:
echo %TAB%relm_upgrade
echo Utilizzare -help per una descrizione completa del comando precedente.
echo.
goto LBLEND

:LBLMSG_INVALID_START_DIR
set TAB=    
echo.
echo Eccezione durante l'utilizzo del parametro -help, lo script %2 non pu essere eseguito da una directory diversa da %3
echo.
goto LBLEND

:LBLMSG_SHOW_PARAM_FILE_NAME
echo.
echo Il file "%2" contiene i valori dei parametri per lo script di aggiornamento.
echo Se  necessario modificare i valori dei parametri predefiniti,  possibile modificare i file oppure specificare i valori come argomenti della riga comandi sugli script di aggiornamento.
echo.
goto LBLEND

:LBLMSG_SHOW_PARAM_FILE_NAMES_LIST
echo.
echo Il seguente file contiene valori di parametri predefiniti per un'applicazione o un aggiornamento JTS. Se  necessario modificare i valori dei parametri predefiniti,  possibile modificare i file oppure specificare i valori come argomenti della riga comandi sugli script di aggiornamento.
echo %TAB%- RELM upgrade:  "%2params\relm_params%3.bat"
echo.
goto LBLEND


REM ************************************
REM * Messaggi di verifica dei parametri *
REM ************************************

REM Verifica intrinseca
rem ======================

:LBLMSG_MISSING_APP_TYPE
echo.
echo Nessun tipo di applicazione o JTS specificato.  Per aggiornare JTS o l'applicazione, eseguire il seguente comando:
echo     relm_upgrade
echo Utilizzare -help per una descrizione completa del comando precedente.
echo.
goto LBLEND

:LBLMSG_INVALID_APP_TYPE
echo.
echo %2 non  un tipo di applicazione valido. Per aggiornare l'applicazione, eseguire il seguente comando:
echo     relm_upgrade
echo Utilizzare -help per una descrizione completa del comando precedente.
echo.
goto LBLEND

:LBLMSG_MISSING_PARAM_VALUE
echo.
echo Valore mancante per il parametro %2.
echo Utilizzare -help per una descrizione completa dei parametri.
echo.
goto LBLEND

:LBLMSG_INVALID_PARAM_DIR
echo.
echo La directory %3, specificata per il parametro %2 non esiste o non  valida.
echo Utilizzare -help per una descrizione completa dei parametri.
echo.
goto LBLEND

:LBLMSG_RELATIVE_PARAM_DIR
echo.
echo La directory %3, specificata per il parametro %2 deve essere un percorso assoluto.
echo Utilizzare -help per una descrizione completa dei parametri.
echo.
goto LBLEND

:LBLMSG_INVALID_PARAM_FILE
echo.
echo Il file %3 specificato per il parametro %2 non esiste o non  valido.
echo Utilizzare -help per una descrizione completa dei parametri.
echo.
goto LBLEND

:LBLMSG_INVALID_PARAM_VALUE
echo.
echo %3 non  un valore valido per il parametro %2.
echo Utilizzare -help per una descrizione completa dei parametri.
echo.
goto LBLEND

:LBLMSG_INVALID_PARAM
echo.
echo %2  un parametro sconosciuto.
echo Utilizzare -help per una descrizione completa dei parametri.
echo.
goto LBLEND


REM Verifica estrinseca
rem ======================

:LBLMSG_MISSING_HOME_PARAM
echo.
echo Parametro della directory home mancante %2.
echo Utilizzare -help per una descrizione completa dei parametri.
echo.
goto LBLEND

:LBLMSG_DIR_NOT_FOUND
echo.
echo La directory %2 non esiste o non  valida.
echo.
goto LBLEND

:LBLMSG_CMD_NOT_FOUND_2X_APP
echo.
echo Impossibile trovare il comando repotools dell'applicazione '%2'.
echo.
echo Verificare che il parametro -oldApplicationHome '%3' faccia riferimento alla vecchia directory di configurazione del server, ad esempio 'JazzInstallDir\server\conf'.
echo.
goto LBLEND

:LBLMSG_CMD_NOT_FOUND_OLD_APP
echo.
echo Impossibile trovare il comando repotools dell'applicazione '%2'.
echo.
echo Verificare che il parametro -oldApplicationHome '%3' faccia riferimento alla vecchia directory di configurazione del server, ad esempio 'JazzInstallDir\server\conf' e che il parametro jtsContextRoot '%4' sia corretto.
echo.
goto LBLEND

:LBLMSG_TSP_NOT_FOUND_2X_APP
echo.
echo Impossibile trovare il file di configurazione '%2'.
echo.
echo Verificare che il parametro -oldApplicationHome '%3' faccia riferimento alla vecchia directory di configurazione del server, ad esempio 'JazzInstallDir\server\conf'.
echo.
goto LBLEND

:LBLMSG_TSP_NOT_FOUND_OLD_APP
echo.
echo Impossibile trovare il file di configurazione '%2'.
echo.
echo Verificare che il parametro -oldApplicationHome '%3' faccia riferimento alla vecchia directory di configurazione del server, ad esempio 'JazzInstallDir\server\conf' e che il parametro jtsContextRoot '%4' sia corretto.
echo.
goto LBLEND

:LBLMSG_CMD_NOT_FOUND_NEW_APP
echo.
echo Impossibile trovare il comando repotools dell'applicazione '%2'.
echo.
echo Verificare che il parametro -newApplicationHome '%3' faccia riferimento alla nuova directory di configurazione del server delle applicazioni, ad esempio 'JazzInstallDir\server\conf' e che il parametro jtsContextRoot '%4' sia corretto.
echo Se si sta effettuando l'aggiornamento da una release precedente, verificare di aver selezionato le root di contesto corrette.  Ad esempio, se si utilizza Installation Manager, selezionare l'opzione della root di contesto %5 sul pannello "Opzioni root di contesto".  Se per sbaglio  stata selezionata un'opzione differente, reinstallare la versione con l'opzione della root di contesto %5.
echo.
goto LBLEND

:LBLMSG_TSP_NOT_FOUND_NEW_APP
echo.
echo Impossibile trovare il file di configurazione '%2'.
echo.
echo Verificare che il parametro -newApplicationHome '%3' faccia riferimento alla nuova directory di configurazione del server JTS, ad esempio 'JazzInstallDir\server\conf' e che il parametro jtsContextRoot '%4' sia corretto.
echo Se si sta effettuando l'aggiornamento da una release precedente, verificare di aver selezionato le root di contesto corrette.  Ad esempio, se si utilizza Installation Manager, selezionare l'opzione della root di contesto %5 sul pannello "Opzioni root di contesto".  Se per sbaglio  stata selezionata un'opzione differente, reinstallare la versione con l'opzione della root di contesto %5.
echo.
goto LBLEND

:LBLMSG_CMD_NOT_FOUND_OLD_JTS
echo.
echo Impossibile trovare il comando repotools JTS '%2'.
echo.
echo Verificare che il parametro -oldJTSHome '%3' faccia riferimento alla vecchia directory di configurazione del server JTS, ad esempio 'JazzInstallDir\server\conf' e che il parametro jtsContextRoot '%4' sia corretto.
echo.
goto LBLEND

:LBLMSG_TSP_NOT_FOUND_OLD_JTS
echo.
echo Impossibile trovare il file di configurazione '%2'.
echo.
echo Verificare che il parametro -oldJTSHome '%3' faccia riferimento alla vecchia directory di configurazione del server JTS, ad esempio 'JazzInstallDir\server\conf' e che il parametro jtsContextRoot '%4' sia corretto.
echo.
goto LBLEND

:LBLMSG_CMD_NOT_FOUND_NEW_JTS
echo.
echo Impossibile trovare il comando repotools JTS '%2'.
echo.
echo Verificare che il parametro -newJTSHome '%3' faccia riferimento alla nuova directory di configurazione del server JTS, ad esempio 'JazzInstallDir\server\conf' e che il parametro jtsContextRoot '%4' sia corretto.
echo.
goto LBLEND

:LBLMSG_TSP_NOT_FOUND_NEW_JTS
echo.
echo Impossibile trovare il file di configurazione '%2'.
echo.
echo Verificare che il parametro -newJTSHome '%3' faccia riferimento alla nuova directory di configurazione del server JTS, ad esempio 'JazzInstallDir\server\conf' e che il parametro jtsContextRoot '%4' sia corretto.
echo.
goto LBLEND

:LBLMSG_MISSING_IMPORT_FROM_FILE
echo.
echo Un file tar contenente dati 2.x  richiesto per un aggiornamento %2.
echo Utilizzare -help per una descrizione completa dei parametri.
echo.
goto LBLEND


REM **********************
REM * Messaggi di esecuzione *
REM **********************

:LBLMSG_BANNER_RELM
echo.
echo.
echo =============================================
echo ===    Aggiornamento RELM    ===
echo =============================================
echo.
goto LBLEND


REM *********************
REM * Passaggio a Primi passi *
REM *********************

:LBLMSG_INITIAL_STEP_FAILED
echo.
echo L'ultima esecuzione non  riuscita al passo iniziale...
goto LBLEND

:LBLMSG_LAST_STEP_FAILED
echo.
echo L'ultima esecuzione non  riuscita al passo %2...
echo Riavviare l'aggiornamento da questo passo o da un passo precedente?
goto LBLEND

:LBLMSG_ALREADY_RUN
echo.
echo L'aggiornamento  stato gi eseguito ed  stato terminato correttamente...
echo Riavviarne uno nuovo da un passo specifico?
goto LBLEND

:LBLMSG_LAST_STEP_PASSED
echo.
echo L'ultima esecuzione  stata correttamente arrestata al passo %2...
echo Riavviare l'aggiornamento dal passo corrente %3 o da uno precedente?
goto LBLEND

:LBLMSG_ENTER_NEXT_STEP
echo.
echo Immettere il numero di passo [%2-%3] da cui si desidera riavviare l'aggiornamento oppure premere [Invio] per annullare l'operazione:
goto LBLEND

:LBLMSG_INTEGER_STEP_NUMBER
echo.
echo '%2' non  un numero. Immettere un numero di passo valido.
goto LBLEND

:LBLMSG_INVALID_STEP_NUMBER
echo.
echo '%2' non  un numero di passo valido. Immettere un numero di passo valido.
goto LBLEND

:LBLMSG_MAX_STEP_NUMBER
echo.
echo L'ultimo passo  il passo %2, pertanto non  possibile riavviare l'aggiornamento al passo %3.
goto LBLEND

:LBLMSG_NUM_MAX_STEP_NUMBER
echo.
echo Il passo %2 non  stato ancora eseguito, pertanto non  possibile riavviare l'aggiornamento al passo %3.
goto LBLEND


REM **********************
REM * Messaggi per i passi *
REM **********************

:LBLMSG_STEP_0
echo Passo 0: Aggiornamento dei file di configurazione
echo ---------------------------
goto LBLEND

:LBLMSG_STEP_1_ADD
echo Passo 1: Aggiunta di tabelle
echo ------------------
goto LBLEND

:LBLMSG_STEP_2_UPGRADE_DATA_WAREHOUSE
echo Passo 2: Aggiornare lo schema del data warehouse
echo -------------------------------------
goto LBLEND

:LBLMSG_STEP_2_REBUILD_QUERY_AND_INDEXES
echo Passo %2: Creare nuovamente gli indici di ricerca e query
echo -----------------------------------------
goto LBLEND

:LBLMSG_STEP_3_UPGRADE_DATA_WAREHOUSE
echo Passo 3: Aggiornare lo schema del data warehouse
echo -------------------------------------
goto LBLEND

:LBLMSG_FULL_TEXT_INDICES_STEP
echo Passo %2: Creare nuovamente gli indici di testo
echo ----------------------------
goto LBLEND

:LBLMSG_JFS_INDICES_STEP
echo Step %2: Creare nuovamente gli indici di ricerca e di query
echo -----------------------------------------
goto LBLEND

:LBLMSG_OVERALL_MIGRATION_FAILED
echo.
echo L'aggiornamento %2 non  riuscito al passo %3.  Correggere il problema ed eseguire di nuovo lo script dal passo %3.
echo.
goto LBLEND

:LBLMSG_OVERALL_MIGRATION_SUCCESS_RELM
echo.
echo Aggiornamento %2 riuscito.  Se  stato aggiornato anche JTS e qualsiasi applicazione dipendente (ad esempio VVC, LQE e Sparql_Gateway),  ora possibile avviare i server nella propria distribuzione.
echo.
goto LBLEND

REM *******************************
REM * Messaggi durante l'esecuzione del passo *
REM *******************************

:LBLMSG_STEP_DIR_CMD
echo.
echo Directory: %2
echo Comando:
goto LBLEND

:LBLMSG_ENTER_STEP_ACTION
echo Immettere [E] per eseguire questo passo, [S] per ignorarlo oppure premere [Invio] per annullare l'esecuzione dello script:
goto LBLEND

:LBLMSG_INVALID_STEP_ACTION
echo.
echo '%2'  una voce non valida, sono consentiti solo 'E', 'S' o 'Invio'
echo.
goto LBLEND

:LBLMSG_EDIT_TEAMSERVER_PROPERTIES
echo.
echo Un editor notepad verr aperto per verificare il file %2 teamserver.properties.
echo Verificare che la root dell'URI pubblico denotato dalla propriet com.ibm.team.repository.server.webapp.url sia corretta.
echo Verificare che le propriet del database siano corrette.
echo Una volta completato, salvare le modifiche, se presenti, e chiudere l'editor per continuare l'esecuzione dello script.
echo.
goto LBLEND

:LBLMSG_PAUSE
echo.
echo Immettere [C] per continuare l'esecuzione oppure premere [Invio] per annullare l'esecuzione dello script:
goto LBLEND

:LBLMSG_INVALID_PAUSE_ACTION
echo.
echo '%2'  una voce non valida, sono consentiti solo 'C' o 'Invio'
echo.
goto LBLEND

:LBLMSG_COPY_INDICES_FAILED
echo.
echo Impossibile copiare gli indici di testo da '%2' a '%3'. 
echo Verificare la propriet com.ibm.team.fulltext.indexLocation
echo definita nel file teamserver.properties.
echo Copiare manualmente gli indici di testo in questa directory
echo o eseguire repotools -rebuildTextIndices per rigenerarli.
echo.
goto LBLEND

REM *****************************************
REM * Messaggi per la verifica degli URI pubblici *
REM *****************************************

:LBLMSG_MISSING_PUBLIC_URI
echo.
echo.
echo !!!!!!!!!!!!!!!!!!!!!!!!!!!!!! ERRORE !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
echo.
echo Nessun URI pubblico definito in
echo %3,
echo pertanto non  possibile avviare l'aggiornamento.
echo.
echo  necessario che in questo file sia presente un URI pubblico definito come segue:
echo https\://nomehost.esempio.com\:porta/%2
echo.
echo !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
echo.
echo La propriet dell'URI pubblico com.ibm.team.repository.server.webapp.url deve essere presente nel file teamserver.properties.
echo Aggiungere la propriet al file teamserver.properties dell'installazione precedente e impostare il valore in modo che sia la root URI che tutti i client utilizzano per raggiungere il server.
echo La root dell'URI pubblico  essenziale per un corretto funzionamento della nuova installazione. L'aggiornamento non riuscir senza questa propriet.  
echo Per ulteriori informazioni, consultare l'argomento dell'InfoCenter relativo alla 'Pianificazione degli URI'.
echo.
goto LBLEND

:LBLMSG_COMMENTED_PUBLIC_URI
echo.
echo.
echo !!!!!!!!!!!!!!!!!!!!!!!!!!!!!! ERRORE !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
echo.
echo Tutti gli URI pubblici definiti in
echo %3,
echo sono commentati pertanto l'aggiornamento non pu iniziare.
echo.
echo  necessario che in questo file sia presente un URI pubblico definito come segue:
echo https\://nomehost.esempio.com\:porta/%2
echo.
echo !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
echo.
echo La propriet dell'URI pubblico com.ibm.team.repository.server.webapp.url deve essere presente nelfile teamserver.properties.
echo Aggiungere la propriet al file teamserver.properties dell'installazione precedente e impostare il valore in modo che sia la root URI che tutti i client utilizzano per raggiungere il server.
echo La root dell'URI pubblico  essenziale per un corretto funzionamento della nuova installazione. L'aggiornamento non riuscir senza questa propriet.
echo Per ulteriori informazioni, consultare l'argomento dell'InfoCenter relativo alla 'Pianificazione degli URI'.
echo.
goto LBLEND

:LBLMSG_CONTEXT_ROOTS_CANNOT_BE_SAME
echo.
echo La root di contesto di jts  impostata su: '%2'.
echo La root di contesto per l'applicazione  impostata su '%3'.
echo La root di contesto di jts non pu coincidere con quella dell'applicazione.
echo.
goto LBLEND

:LBLEND
endlocal
