@echo off
rem *******************************************************************************
rem  Lizenzmaterial - Eigentum der IBM
rem  (c) Copyright IBM Corporation 2006, 2012. Alle Rechte vorbehalten.
rem
rem  Note to U.S. Government Users Restricted Rights:
rem  Use, duplication or disclosure restricted by GSA ADP Schedule
rem  Contract with IBM Corp.
rem  *******************************************************************************


REM #############################################################
REM #
REM # Umgebungsvariablen gem den Parametern und Standard-
REM # werten im Script 'relm_upgrade.bat' definieren
REM #
REM #===========================================================
REM #
REM # Diese Datei wird zu Beginn der Ausfhrung des Scripts
REM # 'relm_upgrade.bat' gelesen. Pro gltigem Parameter wird eine
REM # Umgebungsvariable mit vordefiniertem Standardwert gesetzt.
REM #
REM # Benutzer knnen den Standardwert ndern und das
REM # Script 'relm_upgrade.bat' mit eigenen Werten starten. Die
REM # Parameter und ihre Werte mssen dabei nicht manuell in
REM # der Befehlszeile eingegeben werden.
REM #
REM # WARNUNG:
REM # Nicht alle Variablen mssen fr jede Anwendung gesetzt
REM # werden. Modifizieren Sie einen Wert erst, nachdem Sie
REM # sorgfltig den zugehrigen Kommentar gelesen haben.
REM #
REM #############################################################

rem Parameter: -oldApplicationHome
rem Syntax: -oldApplicationHome <Verzeichnispfad>
rem Beschreibung:
rem 	Vollstndiger Pfad zum Ausgangsverzeichnis fr Anwendungen in der alten Installation.
rem Standardwert:
rem 	<ohne>
rem Einschrnkungen:
rem  - Dies ist ein obligatorischer Parameter.
rem  - <Verzeichnispfad> muss ein vorhandenes Verzeichnis sein, das auf 'server\conf' endet,
rem    z. B. 'D:\Jazz\IBM\JazzInstallDir\jazz\server\conf'.
rem
set OLD_APPLICATION_HOME=

rem Parameter: -applicationContextRoot
rem Syntax: -applicationContextRoot <Stammverzeichnis>
rem Beschreibung:
rem 	Kontextstammverzeichnis fr Anwendungen.
rem Standardwert:
rem 	relm
rem Einschrnkungen:
rem  - <Stammverzeichnis> muss ein gltiger Verzeichnisname ohne vorangestellten Schrgstrich sein.
rem
set APPLICATION_CONTEXT_ROOT=relm

rem Parameter: -oldApplicationVersion
rem Syntax: -oldApplicationVersion <Version>
rem Beschreibung:
rem 	Die RELM-Version, fr die das Upgrade durchgefhrt wird. Standardmig wird sie
rem     mit 'repotools -version' fr die alte Anwendung ermittelt.
rem Standardwert:
rem 	<ohne>
rem Einschrnkungen:
rem  - Es sollte sich um eine vollstndige Versionszeichenfolge handeln,
rem    z. B. 1.0.0.1.
rem
set OLD_APPLICATION_VERSION=

rem Parameter: -newApplicationHome
rem Syntax: -newApplicationHome <Verzeichnispfad>
rem Beschreibung:
rem 	Pfad zum Ausgangsverzeichnis fr Anwendungen in der neuen Installation.
rem Standardwert:
rem 	<aktuelles Verzeichnis>/conf
rem Einschrnkungen:
rem  - Dies ist ein obligatorischer Parameter.
rem  - <Verzeichnispfad> muss ein vorhandenes Verzeichnis sein, das auf 'server\conf' endet,
rem    z. B. 'D:\Jazz\IBM\JazzInstallDir\server\conf'.
rem
set NEW_APPLICATION_HOME="%START_DIR%\conf"

rem Parameter: -updateTomcatFiles
rem Syntax: -updateTomcatFiles <yes | no>
rem Beschreibung:
rem 	Angabe, ob die Tomcat-Konfigurationsdateien aktualisiert
rem  werden sollen.
rem Standardwert:
rem 	yes
rem Einschrnkungen:
rem  - Gltig sind nur die Werte 'yes' und 'no'.
rem
set UPDATE_TOMCAT_FILES=yes

rem Parameter: -oldApplicationTomcatHome
rem Syntax: -oldApplicationTomcatHome <Verzeichnispfad>
rem Beschreibung:
rem 	Vollstndiger Pfad zum Tomcat-Stammverzeichnis in der alten Installation.
rem Standardwert:
rem 	<ohne>
rem Einschrnkungen:
rem  - Das Verzeichnis muss vorhanden sein.
rem
set OLD_APP_TOMCAT_HOME=

rem Parameter: -newApplicationTomcatHome
rem Syntax: -newApplicationTomcatHome <Verzeichnispfad>
rem Beschreibung:
rem 	Pfad zum Tomcat-Stammverzeichnis fr Anwendungen in der neuen Installation.
rem Standardwert:
rem 	<ohne>
rem
set NEW_APP_TOMCAT_HOME=

rem Parameter: -newJTSHome
rem Syntax: -newJTSHome <Verzeichnispfad>
rem Beschreibung:
rem 	Pfad zum JTS-Serverkonfigurationsverzeichnis, das von der neuen Installation verwendet wird.
rem Standardwert:
rem  Ausgangsverzeichnis der neuen Anwendung
rem Einschrnkungen:
rem  - <Verzeichnispfad> muss ein vorhandenes Verzeichnis sein, das mit 'server\conf' endet.
rem
set NEW_JTS_HOME=

rem Parameter: -jtsContextRoot
rem Syntax: -jtsContextRoot <root>
rem Beschreibung:
rem 	Kontextstammverzeichnis des JTS-Servers.
rem Standardwert:
rem 	jts
rem Einschrnkungen:
rem  - <Stammverzeichnis> muss ein gltiger Verzeichnisname
rem    ohne vorangestellten Schrgstrich sein.
rem
set JTS_CONTEXT_ROOT=jts

rem Parameter: -noPrompt
rem Syntax: -noPrompt
rem Beschreibung:
rem 	Beim Erstellen oder Modifizieren der Tabellen keine Besttigung anfordern
rem Standardwert:
rem 	<ohne>
rem Einschrnkungen:
rem  - Die einzigen gltigen Werte sind eine leere Zeichenfolge und 'noPrompt'.
rem
rem set NO_PROMPT=noPrompt
set NO_PROMPT=

rem Parameter: -noVerify
rem Syntax: -noVerify
rem Beschreibung:
rem 	Keine Verifizierung fr Team-Server-Eigenschaftendateien durchfhren
rem Standardwert:
rem 	<ohne>
rem Einschrnkungen:
rem  - Gltig sind nur eine leere Zeichenfolge und 'noVerify'.
rem
rem set NO_VERIFY=noVerify
set NO_VERIFY=

rem Parameter: -overwrite
rem Syntax: -overwrite
rem Beschreibung:
rem 	Angabe, ob vorhandene Dateien berschrieben werden sollen
rem Standardwert:
rem 	no
rem Einschrnkungen:
rem  - Gltig sind nur eine leere Zeichenfolge und 'overwrite=yes'.
rem
rem set OVERWRITE=overwrite=yes
set OVERWRITE=

rem Parameter: -noStepPrompt
rem Syntax: -noStepPrompt
rem Beschreibung:
rem 	Keine Besttigung fr die Ausfhrung eines Schrittes anfordern
rem Standardwert:
rem 	false
rem Einschrnkungen:
rem  - Gltig sind nur die Werte 'true' und 'false'.
rem
rem set NO_STEP_PROMPT=true
set NO_STEP_PROMPT=false
